## This mod is too easy/difficult, can you fix it?

Balancing a mod for this game is a fairly difficult task.

On the easier difficulties, the game is quite easy regardless of the character's build. However, it gets increasingly more difficult on the higher difficulties and with requests. Notably L7, requires careful resources management and adaptability based on the cards and exhibits pulled. 

A lot of parameters have to be adjusted to ensure the character is designed well-enough to be able to beat the game without breaking it.
* Too little scaling and the character will struggle against bosses. 
* Too little front-load and the character will struggle against Act 1 and damage-race encounters. 
* If both the character's scaling and front-load are too strong then the game becomes too easy.
* If the cards are too generic then a lot of builds may end up very similar and the character may get boring.
* If the character is too synergy-dependent then it becomes luck-based on Act 1 on higher difficulties.
* If a character doesn't block well enough or requires very specific block cards, then the character may struggle against high-damage encounters.
* If a character blocks too well, then the character becomes very hard to kill and may win the game too easily. 
* If the character overspecializes too much it may get hard-countered by certain encounters (i.e Single high-damage attack builds against Pure Rabbit Duo or Combo-heavy builds against Remilia)

I only play on L7 and I tried to adjust the character's strengths and weaknesses based on my experience so that the character has several viable builds. 

Building a character around "Lock On" is also not trivial. If it can be applied too easily, it can snowball out of control in both regular encounters and bosses. On the other hand, the Act 3 bosses and true culprit removes all of their debuffs every other turns. Achieving a sweet balance is not trivial.

Moreover, the game is still in early access. If the game is made easier or harder in the future, the mod may be updated accordingly.

tl;dr Balancing is hard, never perfect and any change may accidentally make the mod too easy/hard. Depending on feedback, some cards may be adjusted accordingly. 

## Why White and Green?

The main game has 2 Youmu-related cards and Exhibits. "Roukanken" which is Black and White and "Cherry Blossom Flashing" which is White and Green. The latter was chosen as it was deemed more fitting.

## How does Riposte work exactly?

As stated in the README, Riposte reflects attack damage to the attacker up to the amount of Riposte Youmu has. Barrier and Block take priority over Riposte.

Examples:
* Youmu has 10 Riposte, 10 Barrier, 10 Block. An enemy attacks for 15 damage => Youmu loses 10 Block and 5 Barrier. Riposte doesn't trigger and no damage is dealt back to the attacker.
* Youmu has 10 Riposte, 10 Barrier, 10 Block. An enemy attacks for 25 damage => Youmu loses 10 Block, 10 Barrier and 5 Riposte. Riposte triggers and 5 damage is dealt back to the attacker.
* Youmu has 10 Riposte, 10 Barrier, 10 Block. An enemy attacks for 35 damage => Youmu loses 10 Block, 10 Barrier, 10 Riposte and 5 life. Riposte triggers and 10 damage is dealt back to the attacker.

Please note that unlike Barrier and Block, Riposte only works against what the game considers as Attack damage. 

Examples:
* Riposte doesn't work against Drowning or a certain ability from the true culprit. 
* Riposte works against Crow Tengu's "Apex Speedster" (Act 3 random encounter) since it is considered Attack damage.
* Riposte works against Vengeful Spirit's "Revenge Bullet" (Act 1 random encounter/elite minions). No damage is dealt back since the attacker is dead but Riposte still decreases based on the amount of damage received.

Just like Barrier and Block, Riposte scales with Spirit and is affected by Frail.

## Is more content planned?

The character originally had 70 cards but 3 were removed for balancing and flavor reasons. This is why Youmu has fewer 2-colored cards than the other characters. Once adjusted those cards might be added back.

## How frequently will this mod be updated?

This will depend on feedback and my availability.

## Will X language be added?

Nothing is planned at the moment. If you want to translate the mod in another language, any help is welcome. 

## How can I help with the mod?

If you want to help with the mod:
* Feedback, balance and card suggestions are welcome.
* As stated in the section above, any help regarding translation would be appreciated.

## Is the mod's code on github?

The code will be published on gitlab at a later date.


